%define name    john
%define version 1.7.2
%define release %mkrel 4

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    John the Ripper password cracker
License:    GPL
Group:      Monitoring
Source:     http://www.openwall.com/john/f/%{name}-%{version}.tar.bz2
Patch:      john-1.7.2-fhs.patch
URL:        http://www.openwall.com/john/

%description
John the Ripper is a fast password cracker, currently available for many
flavors of Unix (11 are officially supported, not counting different
architectures), DOS, Win32, and BeOS. Its primary purpose is to detect
weak Unix passwords, but a number of other hash types are supported as
well.

Build Options:
--define 'extra_cflags <cflags>'    Provide additional cflags

%prep
%setup -q
%patch0 -p1 -b .fhs
chmod 644 doc/*

%build
TARGET=""
%ifarch %ix86
    %ifarch i686
    TARGET=linux-x86-mmx
    %else
    TARGET=linux-x86-any
    %endif
%else
    %ifarch x86_64
    TARGET=linux-x86-64
    %endif
    %ifarch ppc
    TARGET=linux-ppc
    %endif
    %ifarch alpha
    TARGET=linux-alpha
    %endif
    %ifarch sparc
    TARGET=linux-sparc
    %endif
%endif

if test -z "$TARGET"; then
    TARGET=generic
    export TARGET
    echo "Please add the right TARGET to the spec file"
fi

cd src
%make $TARGET CFLAGS="-c -Wall %{optflags} %{?extra_cflags:%extra_cflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_sysconfdir}

install -m 755 run/{john,mailer} %{buildroot}%{_bindir}/
install -m 644 run/*.chr run/password.lst %{buildroot}%{_datadir}/%{name}/
install -m 644 run/john.conf %{buildroot}%{_sysconfdir}/

pushd %{buildroot}%{_bindir}
  ln -s john unafs
  ln -s john unique
  ln -s john unshadow
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%config(noreplace) %{_sysconfdir}/john.conf
%{_bindir}/*
%{_datadir}/%{name}





%changelog
* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.2-4mdv2008.1
+ Revision: 136771
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.2-3mdv2007.0
+ Revision: 100417
- bump release
- fix x86_64 build
- rediff fhs patch, to really fix #21894

* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.2-1mdv2007.0
- new version

* Sat Apr 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.0.2-1mdk
- new version
- fix configuration location (fix #21894)
- drop specific mmx option, and automatically enable it for i686 and x86_64

* Wed Feb 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdk
- New release 1.7
- %%mkrel
- spec cleanup
- drop unused patches and sources
- build with default mandriva optimisations flags (if you want better
  optimisations, rebuild the source package)
- use standard build options description
- fix build without optimisations

* Mon Feb 14 2005 Abel Cheung <deaddog@mandrake.org> 1.6.37-1mdk
- New development version, with x86_64 and ppc support
- Tries optimization whenever possible, it gives me > 4x speed boost
  on my Athlon when compared with unoptimized 1.6 version
- Hope nobody is stupid enough to run it on non-MMX Pentium I
- Disable P0, devel version has PPC support, please test if it works
- Redo P1 (FHS)
- P2: Add EXTRA_CFLAGS for those who want to squeeze the last bit of
  CPU power

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.6-6mdk 
- rebuild

* Tue Mar 02 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6-5mdk
- add generic as fallback target for amd64 and others

